Subject: Re: [Sip] Regarding provisional responses to SIP requests

From: "Rockson Li (zhengyli)" <[email-masked]>
Date: Fri, 20 Jun 2008 17:03:58 +0800

Hi  Brijesh,
 
For RFC3261-complianet UA, this can be done, the main concern over this
modification is dialog matching.
RFC2543 use whole from/to/call-id header to match dialog, whereas,
RFC3261 uses only from tag / to tag/call-id
 
So we can find in RFC sec5.3

   Currently, dialog matching uses only the
   tags in the To and From headers, rather than the whole header fields.
   Thus, under the new rules the URI values in the To and From headers
   themselves could be altered by intermediaries.  However, some legacy
   clients might consider it an error condition if the value of the URI
   in the From header altered between the request and the response.
 
But to better cover RFC2543 UA it later says,

   Therefore, any time that a privacy service needs to modify any
   dialog-matching headers for privacy reasons, it SHOULD act as a
   transparent back-to-back user agent, and it MUST persist the former
   values of the dialog-matching headers.  These values MUST be restored
   in any messages that are sent to the originating user agent.

So, IMO, if the UAs you are facing is based on RFC3261, I think the from
header change is OK.

Regards,
-Rockson 

On Fri, Jun 20, 2008 at  2:55 PM, James M. Polk wrote:
 
> At 01:10 AM 6/20/2008, brijesh nair wrote:
> > Hi,
> > 
> >   I have a question regarding provisional responses in SIP. Can the 
> > username/displayname part of To/From header be changed in a 
> > provisional response to a SIP request ? If so, can you please 
> > direct me to a draft/rfc which states this can be done ?
> 
> RFC 4474 (SIP Identity) states the display name in the To header
cannot be prevented from being changed (therefore shouldn't be trusted)
in any response.  Does that answer your question?
> 
> 
> 
> > Thanks and Regards,
> > Brijesh
> > 
> > 
> > 
> > _______________________________________________
> > Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
> > This list is for NEW development of the core SIP Protocol
> > Use [email-masked] for questions on current sip
> > Use [email-masked] for new developments on the application of sip
> 
> _______________________________________________
> Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Rockson Li (zhengyli)" <[email-masked]>
Date: Fri, 20 Jun 2008 17:31:09 +0800

Forget the RFC id , RFC3323
-----Original Message-----
From: Rockson Li (zhengyli) 
Sent: Friday, June 20, 2008 5:04 PM
To: [email-masked]'
Cc: [email-masked]'
Subject: Re: [Sip] Regarding provisional responses to SIP requests

Hi  Brijesh,

[Rockson]RFC3323

Regards,
-Rockson 

On Fri, Jun 20, 2008 at  2:55 PM, James M. Polk wrote:
 
> > provisional response to a SIP request ? If so, can you please direct

> > me to a draft/rfc which states this can be done ?
> 
> > This list is for NEW development of the core SIP Protocol Use 
> > [email-masked] for questions on current sip Use 
> > [email-masked] for new developments on the application of sip
> 
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip Use 
> [email-masked] for new developments on the application of sip